#ifndef __RRGTOFACONVERTER_H__
#define __RRGTOFACONVERTER_H__

#include <grammar/Regular/RightRegularGrammar.h>
#include <automaton/FSM/FSM.h>

#include "AbstractRGtoFAConverter.h"

namespace conversions
{

class RRGtoFAConverter : public AbstractRGtoFAConverter
{
public:
    RRGtoFAConverter( const grammar::RightRegularGrammar & grammar );
    ~RRGtoFAConverter( void );
    automaton::FSM convert( void );
};

} /* namespace conversions */

#endif /* __RRGTOFACONVERTER_H__ */
