#ifndef __FATOLRGCONVERTER_H__
#define __FATOLRGCONVERTER_H__

#include <grammar/Regular/LeftRegularGrammar.h>
#include <automaton/FSM/FSM.h>

#include "AbstractFAtoLRGConverter.h"

namespace conversions
{

class FAtoLRGConverter: public AbstractFAtoLRGConverter
{
public:
    FAtoLRGConverter( const automaton::FSM & automaton );
    ~FAtoLRGConverter( void );
    grammar::LeftRegularGrammar convert( void );

protected:
    grammar::LeftRegularGrammar m_grammar;
};

} /* namespace conversions */

#endif /* __FATOLRGCONVERTER_H__ */
