/*
 * LRGAlgebraic.h
 *
 *  Created on: 4. 3. 2014
 *      Author: tomas
 */

#ifndef LRGALGEBRAIC_H_
#define LRGALGEBRAIC_H_

#include <grammar/Regular/LeftRegularGrammar.h>
#include <regexp/RegExp.h>

#include "../shared/LeftRegularEquationSolver.h"
#include "AbstractRGtoREConverter.h"

namespace conversions
{

class LRGAlgebraic: public AbstractRGtoREConverter
{
public:
    LRGAlgebraic( const grammar::LeftRegularGrammar & rg );
    ~LRGAlgebraic( void );
    regexp::RegExp convert( void );

protected:
    LeftRegularEquationSolver m_solver;
};

} /* namespace conversions */

#endif /* LRGALGEBRAIC_H_ */
